//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "GTSIPPHONELib_OCX.h"
#include <OleCtrls.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TGTSIPPhone *GTSIPPhone1;
        TLabel *Label1;
        TButton *btnDial;
        TEdit *Edit1;
        TButton *btnHangup;
        TRichEdit *RichEdit1;
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall GTSIPPhone1PhoneReady(TObject *Sender,
          long ChanID);
        void __fastcall GTSIPPhone1CallConnected(TObject *Sender,
          long ChanID);
        void __fastcall GTSIPPhone1CallDialing(TObject *Sender,
          long ChanID, BSTR sCaller, BSTR sCallee);
        void __fastcall GTSIPPhone1CallIdle(TObject *Sender, long ChanID);
        void __fastcall GTSIPPhone1CallOffered(TObject *Sender,
          long ChanID, BSTR Caller, BSTR Callee, BSTR DestAddr,
          BSTR ViaAddr, BSTR SrcIPAddr, short SrcIPPort);
        void __fastcall GTSIPPhone1CallRinging(TObject *Sender,
          long ChanID);
        void __fastcall GTSIPPhone1SIPRegStatus(TObject *Sender,
          long UserID, long Status, long Expires);
        void __fastcall btnDialClick(TObject *Sender);
        void __fastcall btnHangupClick(TObject *Sender);
        void __fastcall FormDestroy(TObject *Sender);
        void __fastcall FormShow(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------

extern bool PhoneInited;
#endif
